Effort Classes - Timesheet Settings API
List all timesheet settings of an effort class
Заголовок раздела «List all timesheet settings of an effort class»List all timesheet_settings of an effort class with a specific ID.
GET /effort_classes/:id/timesheet_settingsResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 321, "sourceID": null, "name": "8hr workday, 40hr workweek, hours&minutes, 1hr incr.", "created_at": "2016-03-22T21:03:35-05:00", "updated_at": "2016-03-22T21:03:35-05:00" }, { "id": 485, "sourceID": null, "name": "7:30 workday, 36hr workweek, hours&minutes, 0:30 incr.", "created_at": "2016-03-27T18:53:12-05:00", "updated_at": "2016-03-28T22:56:03-05:00" }, "..."]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/effort_classes/:id/timesheet_settings/disabled: List all disabled timesheet settings of an effort class with a specific ID/effort_classes/:id/timesheet_settings/enabled: List all enabled timesheet settings of an effort class with a specific ID
Add a timesheet settings to an effort class
Заголовок раздела «Add a timesheet settings to an effort class»Add a link between an effort class with a specific ID and a timesheet settings with a specific ID.
POST /effort_classes/:id/timesheet_settings/:timesheet_setting_idResponse
Заголовок раздела «Response»Status: 200 OK{}Remove a timesheet settings from an effort class
Заголовок раздела «Remove a timesheet settings from an effort class»Remove the link between an effort class with a specific ID and a timesheet settings with a specific ID.
DELETE /effort_classes/:id/timesheet_settings/:timesheet_setting_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all timesheet settings from an effort class
Заголовок раздела «Remove all timesheet settings from an effort class»Remove all links between an effort class with a specific ID and its timesheet settings.
DELETE /effort_classes/:id/timesheet_settingsResponse
Заголовок раздела «Response»Status: 204 No Content